From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/keystoneauth/
Date: Wed, 23 Jun 2021 10:09:42 +0000 (UTC) [thread overview]
Message-ID: <1624442858.2efaefc909376f33e4bca7dbf7e24b190f5c16a4.mgorny@gentoo> (raw)
commit: 2efaefc909376f33e4bca7dbf7e24b190f5c16a4
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 23 09:57:21 2021 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Jun 23 10:07:38 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2efaefc9
dev-python/keystoneauth: Enable tests
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
.../keystoneauth/keystoneauth-4.2.1-r1.ebuild | 54 ++++++++++++++++++++++
1 file changed, 54 insertions(+)
diff --git a/dev-python/keystoneauth/keystoneauth-4.2.1-r1.ebuild b/dev-python/keystoneauth/keystoneauth-4.2.1-r1.ebuild
new file mode 100644
index 00000000000..9e4dfcbc879
--- /dev/null
+++ b/dev-python/keystoneauth/keystoneauth-4.2.1-r1.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_8 )
+inherit distutils-r1
+
+DESCRIPTION="This package contains tools for authenticating to an OpenStack-based cloud."
+HOMEPAGE="https://github.com/openstack/keystoneauth"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}1/${PN}1-${PV}.tar.gz"
+S="${WORKDIR}/${PN}1-${PV}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="amd64 x86"
+
+CDEPEND=">=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
+ !~dev-python/pbr-2.1.0"
+RDEPEND="${CDEPEND}
+ >=dev-python/iso8601-0.1.11[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.14.2[${PYTHON_USEDEP}]
+ >=dev-python/six-1.10.0[${PYTHON_USEDEP}]
+ >=dev-python/stevedore-1.20.0[${PYTHON_USEDEP}]
+ >=dev-python/os-service-types-1.2.0[${PYTHON_USEDEP}]"
+BDEPEND="${CDEPEND}
+ test? (
+ >=dev-python/betamax-0.7.0[${PYTHON_USEDEP}]
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ dev-python/hacking[${PYTHON_USEDEP}]
+ >=dev-python/lxml-4.2.0[${PYTHON_USEDEP}]
+ >=dev-python/oauthlib-0.6.2[${PYTHON_USEDEP}]
+ >=dev-python/oslo-config-5.2.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-utils-3.33.0[${PYTHON_USEDEP}]
+ >=dev-python/oslotest-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-3.12[${PYTHON_USEDEP}]
+ >=dev-python/requests-kerberos-0.8.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-mock-1.2.0[${PYTHON_USEDEP}]
+ >=dev-python/testresources-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ # relies on specific test runner name
+ sed -i -e 's:run\.py:unittest_or_fail.py:' \
+ keystoneauth1/tests/unit/test_session.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ eunittest -b
+}
next reply other threads:[~2021-06-23 10:09 UTC|newest]
Thread overview: 67+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-06-23 10:09 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-02-14 16:24 [gentoo-commits] repo/gentoo:master commit in: dev-python/keystoneauth/ Michał Górny
2023-01-04 14:15 Michał Górny
2022-12-25 17:45 Michał Górny
2022-12-25 16:42 Sam James
2022-11-25 5:14 Michał Górny
2022-11-12 11:59 Arthur Zamarin
2022-08-17 19:31 Arthur Zamarin
2022-08-17 18:52 Arthur Zamarin
2022-07-15 18:30 Arthur Zamarin
2022-06-28 19:42 Michał Górny
2022-06-28 19:30 Arthur Zamarin
2022-05-28 21:12 Jakov Smolić
2022-05-21 6:47 Michał Górny
2022-04-01 18:45 Michał Górny
2022-04-01 17:33 Arthur Zamarin
2022-04-01 17:33 Arthur Zamarin
2022-04-01 17:32 Arthur Zamarin
2022-03-09 18:26 Arthur Zamarin
2022-02-24 18:08 Michał Górny
2021-12-17 9:15 Michał Górny
2021-10-24 5:13 Arthur Zamarin
2021-10-24 1:15 Sam James
2021-09-17 22:22 Michał Górny
2021-07-07 6:33 Michał Górny
2021-07-07 2:17 Sam James
2021-06-26 2:55 Sam James
2021-06-24 23:57 Sam James
2021-06-23 10:13 Michał Górny
2021-06-23 10:09 Michał Górny
2020-11-16 0:02 Michał Górny
2020-11-15 23:50 Sam James
2020-11-14 21:52 Michał Górny
2020-10-10 23:09 Matthew Thode
2020-10-10 20:34 Matthew Thode
2020-07-18 22:30 Matthew Thode
2020-07-17 1:52 Sam James
2020-07-01 16:27 Matthew Thode
2020-06-20 19:23 Matthew Thode
2020-05-30 17:52 Matthew Thode
2020-05-16 21:21 Matthew Thode
2020-03-25 16:17 Matthew Thode
2020-03-25 16:17 Matthew Thode
2020-02-25 17:52 Matthew Thode
2020-02-25 16:48 Matthew Thode
2019-11-19 18:36 Matthew Thode
2019-10-21 0:19 Matthew Thode
2019-05-11 18:17 Matthew Thode
2019-04-09 7:06 Matthew Thode
2018-08-30 21:34 Matt Thode
2018-02-16 6:08 Matt Thode
2018-02-16 6:08 Matt Thode
2017-08-28 0:47 Matt Thode
2017-08-28 0:47 Matt Thode
2017-06-04 7:30 Justin Lecher
2017-03-13 1:30 Zac Medico
2017-02-27 2:16 Matt Thode
2017-02-24 17:39 Matt Thode
2017-02-24 17:39 Matt Thode
2017-01-31 15:45 Matt Thode
2016-11-17 18:40 Matt Thode
2016-10-19 4:09 Matt Thode
2016-05-24 23:16 Matt Thode
2016-03-29 18:31 Matt Thode
2016-03-29 18:31 Matt Thode
2016-03-28 2:40 Matt Thode
2016-03-25 5:02 Matt Thode
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1624442858.2efaefc909376f33e4bca7dbf7e24b190f5c16a4.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox